> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herondata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Save user's settings



## OpenAPI

````yaml https://app.herondata.io/swagger put /api/users/current/settings
openapi: 3.0.0
info:
  contact:
    email: support@herondata.io
    name: Support
  title: Heron Data API
  version: '2021-07-19'
servers:
  - description: Production
    url: https://app.herondata.io
security:
  - ApiKeyAuth:
      - key_XXX
externalDocs:
  description: Read Tutorial
  url: https://docs.herondata.io/
paths:
  /api/users/current/settings:
    put:
      tags:
        - Users
      summary: Save user's settings
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UserModifiableSettings'
        description: The new settings
        required: true
      responses:
        '204':
          description: OK
      security:
        - ApiKeyAuth: []
components:
  schemas:
    UserModifiableSettings:
      properties:
        balance_sheet_categories:
          $ref: '#/components/schemas/BalanceSheetCategories'
        disable_data_export:
          type: boolean
        financials_metrics:
          additionalProperties:
            $ref: '#/components/schemas/MetricSpec'
          type: object
        industry_naics_enabled:
          type: boolean
        low_balance_days_threshold:
          type: number
        pnl_categories:
          $ref: '#/components/schemas/PnLCategories'
        query_reports:
          items:
            $ref: '#/components/schemas/QueryReportTabGroup'
          type: array
        required_revenue_per_month:
          type: integer
        restricted_industries:
          items:
            $ref: '#/components/schemas/RestrictedIndustry'
          type: array
        transactions_review_enabled:
          type: boolean
        use_new_company_layout:
          type: boolean
        use_new_end_user_summary_table:
          type: boolean
        use_new_end_user_table:
          type: boolean
      type: object
    BalanceSheetCategories:
      properties:
        current_assets:
          additionalProperties:
            description: A list of example line item labels that map to this category
            items:
              type: string
            type: array
          type: object
        current_liabilities:
          additionalProperties:
            description: A list of example line item labels that map to this category
            items:
              type: string
            type: array
          type: object
        equity:
          additionalProperties:
            description: A list of example line item labels that map to this category
            items:
              type: string
            type: array
          type: object
        fixed_assets:
          additionalProperties:
            description: A list of example line item labels that map to this category
            items:
              type: string
            type: array
          type: object
        non_current_liabilities:
          additionalProperties:
            description: A list of example line item labels that map to this category
            items:
              type: string
            type: array
          type: object
        other_assets:
          additionalProperties:
            description: A list of example line item labels that map to this category
            items:
              type: string
            type: array
          type: object
      type: object
    MetricSpec:
      properties:
        context:
          description: The context to be used in the query
          type: string
        date_ranges:
          description: A list of date ranges to be used in the query
          items:
            type: string
          type: array
        description:
          type: string
        expression:
          description: The expression to be used in the query
          type: string
        formula:
          $ref: '#/components/schemas/MetricFormula'
        group:
          description: The group to be used in the query
          type: string
        unit:
          description: The unit to be used in the query
          type: string
      required:
        - context
        - date_ranges
        - description
        - group
        - unit
      type: object
    PnLCategories:
      properties:
        cogs:
          additionalProperties:
            description: A list of example line item labels that map to this category
            items:
              type: string
            type: array
          type: object
        income:
          additionalProperties:
            description: A list of example line item labels that map to this category
            items:
              type: string
            type: array
          type: object
        operating_expenses:
          additionalProperties:
            description: A list of example line item labels that map to this category
            items:
              type: string
            type: array
          type: object
        other_expenses:
          additionalProperties:
            description: A list of example line item labels that map to this category
            items:
              type: string
            type: array
          type: object
        other_income:
          additionalProperties:
            description: A list of example line item labels that map to this category
            items:
              type: string
            type: array
          type: object
      type: object
    QueryReportTabGroup:
      properties:
        tab_group:
          type: string
        tabs:
          items:
            $ref: '#/components/schemas/QueryReportTab'
          type: array
      required:
        - tab_group
        - tabs
      type: object
    RestrictedIndustry:
      properties:
        description:
          type: string
        name:
          type: string
      type: object
    MetricFormula:
      properties:
        add:
          $ref: '#/components/schemas/MetricFormulaAdd'
        aggregation:
          $ref: '#/components/schemas/MetricFormulaAggregation'
        div:
          $ref: '#/components/schemas/MetricFormulaDiv'
        metric:
          $ref: '#/components/schemas/MetricFormulaMetric'
        mult:
          $ref: '#/components/schemas/MetricFormulaMult'
        scalar:
          $ref: '#/components/schemas/MetricFormulaScalar'
        simple_metric:
          $ref: '#/components/schemas/MetricFormulaSimpleMetric'
        sub:
          $ref: '#/components/schemas/MetricFormulaSub'
        type:
          description: The type of formula to be used
          type: string
      required:
        - type
      type: object
    QueryReportTab:
      properties:
        tab_name:
          type: string
        widgets:
          items:
            $ref: '#/components/schemas/QueryReportWidget'
          type: array
      required:
        - tab_name
        - widgets
      type: object
    MetricFormulaAdd:
      properties:
        addend_1:
          $ref: '#/components/schemas/MetricFormula'
        addend_2:
          $ref: '#/components/schemas/MetricFormula'
      required:
        - addend_1
        - addend_2
      type: object
    MetricFormulaAggregation:
      properties:
        by:
          default: []
          description: The dimension to be used in the aggregation
          items:
            type: string
          type: array
        formula:
          $ref: '#/components/schemas/MetricFormula'
        op:
          description: The aggregation operation to be used
          type: string
      required:
        - formula
        - op
      type: object
    MetricFormulaDiv:
      properties:
        dividend:
          $ref: '#/components/schemas/MetricFormula'
        divisor:
          $ref: '#/components/schemas/MetricFormula'
      required:
        - dividend
        - divisor
      type: object
    MetricFormulaMetric:
      properties:
        date_range:
          default: null
          description: >-
            The date range to be used in the query. It will override the date
            range specified in the metric spec
          nullable: true
          type: string
        filters:
          default: null
          description: A list of filters to be applied before computing the metric
          items:
            $ref: '#/components/schemas/MetricFormulaSimpleMetricFilter'
          nullable: true
          type: array
        metric_name:
          description: The metric to be used
          type: string
      required:
        - metric_name
      type: object
    MetricFormulaMult:
      properties:
        multiplicand:
          $ref: '#/components/schemas/MetricFormula'
        multiplier:
          $ref: '#/components/schemas/MetricFormula'
      required:
        - multiplicand
        - multiplier
      type: object
    MetricFormulaScalar:
      properties:
        value:
          description: The value to be used in the formula
          type: integer
      required:
        - value
      type: object
    MetricFormulaSimpleMetric:
      properties:
        date_range:
          default: null
          description: >-
            The date range to be used in the query. It will override the date
            range specified in the metric spec
          nullable: true
          type: string
        filter:
          allOf:
            - $ref: '#/components/schemas/MetricFormulaSimpleMetricFilter'
          default: null
          description: A filter to be applied before computing the metric
          nullable: true
        filters:
          default: null
          description: A list of filters to be applied before computing the metric
          items:
            $ref: '#/components/schemas/MetricFormulaSimpleMetricFilter'
          nullable: true
          type: array
        metric_name:
          description: The metric to be used
          type: string
        value_if_unavailable:
          default: null
          description: The value to be used if the metric is not available
          nullable: true
      required:
        - metric_name
      type: object
    MetricFormulaSub:
      properties:
        minuend:
          $ref: '#/components/schemas/MetricFormula'
        subtrahend:
          $ref: '#/components/schemas/MetricFormula'
      required:
        - minuend
        - subtrahend
      type: object
    QueryReportWidget:
      properties:
        description:
          nullable: true
          type: string
        query_name:
          type: string
        title:
          type: string
      required:
        - query_name
        - title
      type: object
    MetricFormulaSimpleMetricFilter:
      properties:
        dimension:
          description: The dimension to be used
          type: string
        operator:
          description: The operator to be used in the filter
          type: string
        value:
          description: The dimension value to be used
          type: string
      required:
        - dimension
        - value
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````